Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Проблема с установкой компонентов kde
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
Infoman
n00b
n00b


Joined: 21 May 2009
Posts: 13

PostPosted: Mon Jun 01, 2009 5:36 am    Post subject: Проблема с установкой компонентов kde Reply with quote

Может проблема и стандартная, похожие ситуации описаны на многих форумах, но я не смог решить ее. Поэтому прошу помочь мне.

Я установил от KDE 3.5.9 установил только основной компонент kdebase-startkde. Вроде как все нормально установилось, работает.

Теперь мне требуется установить компонет kdenetwork, но при установке возникают ошибки
Code:
 # emerge -pv kdenetwork (проверяем)

Вот что выдает в конце:
Code:
[blocks B     ] kde-base/kdepasswd:3.5 ("kde-base/kdepasswd:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdebase-kioslaves:3.5 ("kde-base/kdebase-kioslaves:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/libkonq:3.5 ("kde-base/libkonq:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdialog:3.5 ("kde-base/kdialog:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/ksmserver:3.5 ("kde-base/ksmserver:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] =kde-base/kdebase-3.5* ("=kde-base/kdebase-3.5*" is blocking kde-base/kdialog-3.5.9-r1, kde-base/kfind-3.5.9, kde-base/kcheckpass-3.5.9, kde-base/kreadconfig-3.5.9, kde-base/ksmserver-3.5.9, kde-base/khotkeys-3.5.9, kde-base/ksplashml-3.5.9, kde-base/kdebase-data-3.5.9, kde-base/kdepasswd-3.5.9, kde-base/kdebase-startkde-3.5.9, kde-base/kdesu-3.5.9, kde-base/kdesktop-3.5.9-r1, kde-base/khelpcenter-3.5.9, kde-base/libkonq-3.5.9, kde-base/kcontrol-3.5.9, kde-base/kpersonalizer-3.5.9, kde-base/konqueror-3.5.9, kde-base/kdebase-kioslaves-3.5.9, kde-base/kicker-3.5.9, kde-base/kwin-3.5.9-r1, kde-base/kdm-3.5.9, kde-base/kcminit-3.5.9)
[blocks B     ] kde-base/kdm:3.5 ("kde-base/kdm:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/ksplashml:3.5 ("kde-base/ksplashml:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/khelpcenter:3.5 ("kde-base/khelpcenter:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdesu:3.5 ("kde-base/kdesu:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kwin:3.5 ("kde-base/kwin:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kcontrol:3.5 ("kde-base/kcontrol:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kdebase-startkde:3.5 ("kde-base/kdebase-startkde:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/konqueror:3.5 ("kde-base/konqueror:3.5" is blocking kde-base/kdebase-3.5.9-r4)
[blocks B     ] kde-base/kcminit:3.5 ("kde-base/kcminit:3.5" is blocking kde-base/kdebase-3.5.9-r4)

Total: 13 packages (13 new, 8 uninstalls), Size of downloads: 25,818 kB
Conflict: 23 blocks (15 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'kde-base/kdebase-3.5.9-r4', 'merge') pulled in by
    ~kde-base/kdebase-3.5.9 required by ('ebuild', '/', 'kde-base/kdenetwork-3.5.9', 'merge')

  ('installed', '/', 'kde-base/kdebase-startkde-3.5.9', 'nomerge') pulled in by
    kde-base/kdebase-startkde required by world

  ('installed', '/', 'kde-base/kdm-3.5.9', 'nomerge') pulled in by
    kde-base/kdm required by world


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

Вот.
Back to top
View user's profile Send private message
NerZhul
n00b
n00b


Joined: 29 Jan 2009
Posts: 35

PostPosted: Tue Jun 02, 2009 6:49 pm    Post subject: Reply with quote

Здравствуйте.

Проблема в том, что все либы остались от кед-3.5.
И теперь система хочет подтянуть новые либы, которые конфилктуют со старыми.

Есть 2 варианта решения:
1) в USE добавить kdeprefix
2) попробовать поставить emerge -av =kdenetwork-3.5

Вроде так.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum